type_traits File Reference

Go to the source code of this file.

## Classes

struct | std::__is_nullptr_t< _Tp >
struct | std::integral_constant< _Tp, __v >
struct | std::is_abstract< _Tp >
struct | std::is_arithmetic< _Tp >
struct | std::is_array< typename >
struct | std::is_class< _Tp >
struct | std::is_compound< _Tp >
struct | std::is_const< typename >
struct | std::is_empty< _Tp >
struct | std::is_enum< _Tp >
struct | std::is_final< _Tp >
struct | std::is_floating_point< _Tp >
struct | std::is_function< typename >
struct | std::is_function< typename >
struct | std::is_fundamental< _Tp >
struct | std::is_integral< _Tp >
struct | std::is_literal_type< _Tp >
struct | std::is_lvalue_reference< typename >
struct | std::is_member_function_pointer< _Tp >
struct | std::is_member_object_pointer< _Tp >
struct | std::is_member_pointer< _Tp >
struct | std::is_member_pointer< _Tp >
struct | std::is_null_pointer< _Tp >
struct | std::is_object< _Tp >
struct | std::is_pod< _Tp >
struct | std::is_pointer< _Tp >
struct | std::is_polymorphic< _Tp >
struct | std::is_reference< _Tp >
struct | std::is_rvalue_reference< typename >
struct | std::is_scalar< _Tp >
struct | std::is_standard_layout< _Tp >
struct | std::is_trivial< _Tp >
struct | std::is_union< _Tp >
struct | std::is_void< _Tp >
struct | std::is_volatile< typename >

## Namespaces

| std

## Macros

#define | __cpp_lib_integral_constant_callable
#define | __cpp_lib_is_final
#define | __cpp_lib_is_null_pointer
#define | __cpp_lib_is_swappable
#define | __cpp_lib_result_of_sfinae
#define | __cpp_lib_transformation_trait_aliases
#define | __cpp_lib_void_t
#define | _GLIBCXX_HAS_NESTED_TYPE(_NTYPE)
#define | _GLIBCXX_TYPE_TRAITS

## Typedefs

template<bool __v>
using | std::__bool_constant = integral_constant< bool, __v >
typedef integral_constant< bool, false > | std::false_type
typedef integral_constant< bool, true > | std::true_type

## Detailed Description

This is a Standard C++ Library header.

Definition in file type_traits.